## org.apache.fop.pdf
Class PDFCIDSystemInfo

    java.lang.Object
      |
      +--org.apache.fop.pdf.PDFObject
            |
            +--org.apache.fop.pdf.PDFCIDSystemInfo

public class PDFCIDSystemInfo
extends PDFObject

class representing system information for "character identifier" fonts. this small object is used in the CID fonts and in the CMaps.

Field Summary
`protected java.lang.String` `ordering`
`protected java.lang.String` `registry`
`protected int` `supplement`

Fields inherited from class org.apache.fop.pdf.PDFObject
`generation, number`

Constructor Summary
`PDFCIDSystemInfo(java.lang.String registry, java.lang.String ordering, int supplement)`

Method Summary
`byte[]` `toPDF()` produce the PDF representation for the object.
`java.lang.String` `toPDFString()`

Methods inherited from class org.apache.fop.pdf.PDFObject
`getNumber, output, referencePDF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### registry

    protected java.lang.String registry

### ordering

    protected java.lang.String ordering

### supplement

    protected int supplement

Constructor Detail

### PDFCIDSystemInfo

    public PDFCIDSystemInfo(java.lang.String registry,
                            java.lang.String ordering,
                            int supplement)

Method Detail

### toPDF

    public byte[] toPDF()

  produce the PDF representation for the object. unlike the other objects, the CIDSystemInfo is written directly inside the referencing object
  Returns:
    the PDF

### toPDFString

    public java.lang.String toPDFString()

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.